public class Address
{
    public final static String DEFAULT_STREET = "Botanicka";
    public static final String DEFAULT_TOWN = "Brno";
    
    private final String town;
    private final String street;

    public Address(String town, String street) {
        this.town = town;
        this.street = street;
    }
    
    public Address() {
        this(DEFAULT_TOWN, DEFAULT_STREET);
        //this.town = defaultTown;
        //this.street = defaultStreet;
    }
    
    public String getTown() {
        return town;
    }
    
    /**
     * @param 
     */
    public Address setStreet(String street) {
        return new Address(this.town, street);
    }
    
    //public void setTown(String town) {
    //    this.town = town;
    //}
    
    public String getStreet() {
        return street;
    }
    
    //public void setStreet(String street) {
    //    this.street = street;
    //}

    @Override
    public String toString() {
        return town + ", " + street;
    }
    
}
