public class Person 
{
    private static int counter; // = 0
    
    private String name;
    
    private Address address;
    
    private Gender gender;
    
    public Person(String name, Address addr, Gender gender) {
        this.name = name;
        address = addr;
        this.gender = gender;
        if (gender == Gender.MALE) { // using enum
        }
        counter++;
    }
    
    public static int getCounter() {
        return counter;
    }
    
    public Address getAddress() {
        return address;
    }
    
    public String getName() {
        return name;
    }
    
    public void sendGreetingsTo(Person p) {
        //System.out.println("Person " + getName() + " sends greeting to " + p.getName());
        Person.sendGreetingsTo(this, p);
    } 
    
    public static void sendGreetingsTo(Person p1, Person p2) {
        System.out.println("Person " + p1.getName() + " sends greeting to " + p2.getName());
        //p1.sendGreetingsTo(p2);
    }
}













