 


public class Person 
{
    private String name;
    
    private Address address;
    
    private int yearOfBirth;
    
    private static int currentYear = 2011;
    
    
    public Person(Address address) {
        setAddress(address);
        //currentYear = 2011;
    }
    
    public Person(int yob, Address address, String name) {
        this(address);
        setName(name);
        yearOfBirth = yob;
    }

    public Address getAddress() {
        return address;
    }
    
    public void setAddress(Address address) {
        this.address = address;
    }
    
    public void setName(String name) {
        this.name = name; 
    }
    
    public String getName() {
        return name;
    }
    
    public int getAge() {
        return currentYear - yearOfBirth;
    }
    
    public void setCurrentYear(int year) {
        currentYear = year;
    }
    
    public int getCurrentYear() {
        return currentYear;
    }
    
    public void writeInfo() {
        System.out.println("Name is " + name);
    }    
    
    public void sendGreetingTo(Person person) {
        System.out.println("Person " + getName() + " sends greeting to " + person.getName());
        //sendGreetingTo(this, person);
    }
    
    public void sendGreetingTo(Person p1, Person p2) {
        //System.out.println("Person " + p1.getName() + " sends greeting to " + p2.getName());
        p1.sendGreetingTo(p2);
    }

}













